Package csb :: Package statistics :: Package pdf :: Module parameterized :: Class Parameter

[frames] | no frames]

# Class Parameter

source code

           object --+
                    |
    AbstractParameter --+
                        |
                       Parameter

Known Subclasses:
  - NonVirtualParameter

Default parameter implementation which accepts float values only.

Instance Methods

__init__(self, value=0.0, name=None, base=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractParameter`: `bind_to`, `find_base_parameter`, `set` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractParameter`: `NULL`

Properties
Inherited from `AbstractParameter`: `is_virtual`, `name`, `value` Inherited from `object`: `__class__`

Method Details

### __init__(self, value=0.0, name=None, base=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `value` - initial value (defaults to None / AbstractParameter.NULL)
  - `name` - name of parameter (this is the name of the class by default)
  - `base` - optional base parameter to compute this instance from
Overrides: object.__init__
  (inherited documentation)